//************************************************
//*  Deskew Interface DLL 32 Bits functions      *
//*  Library Version 3.0                         *
//*  Copyright 2009 - 2013 All rigths reserved   *
//*  RECOGNIFORM TECHNOLGIES SPA                 *
//*  www.recogniform.com - info@recogniform.com  *
//************************************************

unit RecoDespeckleAPI;

interface

//  Goal: nitialize the engine
//  Requires: company name, license string
//  Result: session handle

function DESPECKLE_Init(Company,LicenseKey:PAnsiChar):Integer; stdcall;

//  Goal: detect the skew angle
//  Requires: session handle, dib handle, max angle to check in degree, angle accuracy, step
//  Result: skew angle detected

function DESPECKLE_RemovePoints(SessionHandle:Integer;DIBHandle:Integer;MaxPointSizeWidth,MaxPointSizeHeight:Integer):Integer; stdcall;


//  Goal: remove speckle points
//  Requires: session handle, dib handle, max point size
//  Result: number of removed points

procedure DESPECKLE_Done(SessionHandle:Integer); stdcall;

implementation

function DESPECKLE_Init(Company,LicenseKey:PAnsiChar):Integer; stdcall; external 'RECODESPECKLE.DLL'

function DESPECKLE_RemovePoints(SessionHandle:Integer;DIBHandle:Integer;MaxPointSizeWidth,MaxPointSizeHeight:Integer):Integer; stdcall; external 'RECODESPECKLE.DLL'

procedure DESPECKLE_Done(SessionHandle:Integer); stdcall; external 'RECODESPECKLE.DLL'


end.