program despeckledemo;

{$APPTYPE CONSOLE}

uses
  SysUtils,
  RecoDespeckleAPI,
  windows,
  dialogs,
  clipbrd;

var
  session,dibhandle,RemovedPoint:integer;


begin
  // Open the cliboard
  Clipboard.Open;
  // Check if a DIB is available
  if Clipboard.HasFormat(CF_DIB) then
   begin
    // Retrieve the DIB handle
    DIBHandle:=Clipboard.GetAsHandle(CF_DIB);
    // Init the session
    session:=Despeckle_Init('demo','demo');
    // Find the skew angle
    RemovedPoint:=DESPECKLE_RemovePoints(session,DIBHandle,4,4);
    // Check if the image is skewed
    if RemovedPoint<>0 then
     begin
      // Set the deskewd dib into the cliboard
      Clipboard.SetAsHandle(CF_DIB,DIBHandle);
      ShowMessage('The Removed Point are: '+FloatToStr(RemovedPoint)+'and the image is availble in clipboard...');
     end else ShowMessage('Image don''t requires deskew !');
    // Close the session
    Despeckle_Done(session);
   end
  else ShowMessage('No DIB image available in clipboard !');
 // Close the clipboard
 Clipboard.Close;
end.
